/**
 * ACCORDION STYLES
 */

.accordions {
	background-color: transparent;
	padding: 0;
	margin: 32px 0;
}

.accordions h3 {
	margin: 0;
}

.accordions .bm-row {
	background-color: var(--cis-grape);
	color: var(--cis-avocado);
	padding: 52px 32px 54px;
	max-width: 1376px;
}

.accordions .content-width {
	display: block;
	max-width: initial;
	margin: 0 auto;
}

.accordion__heading {
	color: var(--cis-avocado);
	font-size: 2.8125rem; /* 45px */
	font-weight: 700;
	text-align: center;
	margin-top: 0;
	margin-bottom: 34px;
}

.accordion__trigger {
	display: flex;
	width: 100%;
	justify-content: space-between;
	align-items: flex-start;
	background: none;
	border: none;
	font-family: 'Roboto', sans-serif;
	font-size: 1.5rem; /* 24px */
	font-weight: 600;
	color: var(--cis-avocado);
	margin: 0;
	border-top: 1px solid var(--cis-avocado);
	padding: 15px 0;
	outline: none;
	text-align: left;
	cursor: pointer;
}

.accordion__trigger--icon {
	background-image: url('../images/caret-down-avocado.svg');
	background-repeat: no-repeat;
	background-size: contain;
	display: block;
	width: 20px;
	height: 10.5px;
	flex: 0 0 20px;
	margin-top: 10px;
	margin-left: 30px;
	pointer-events: none;
	transition: transform 0.2s ease-in-out;
}

.accordion__trigger[aria-expanded="true"] > .accordion__trigger--icon {
	transform: rotate(180deg);
}

button.accordion__trigger:focus-visible,
.accordion__content a:focus-visible {
	outline: 2px solid var(--cis-avocado);
	outline-offset: 0;
	border-radius: 2px;
}

.accordion__content {
	font-size: 1.5rem; /* 24px */
	margin-top: 12px;
	margin-bottom: 11px;
	padding-right: 0;
}

.accordion__content p {
	margin-bottom: 1.1em;
}

.accordion__item:last-of-type {
	border-bottom: 1px solid var(--cis-avocado);
}

.accordion-panel[hidden] {
	display: none;
}

@media (min-width: 550px) {
	.accordion__content {
		padding-right: 60px;
	}
}

@media (min-width: 800px) {
	.accordion__heading {
		font-size: 4.375rem; /* 70px */
		margin-bottom: 44px;
	}
}

@media (max-width: 999px) {
	.accordions {
		margin: 0;
	}
}

@media (min-width: 1000px) {
	.accordions {
		padding: 0 32px;
	}

	.accordions .bm-row {
		padding: 60px 40px 69px;
	}

	.accordions .content-width {
		display: flex;
		justify-content: space-between;
		align-items: flex-start;
		gap: 44px;
	}

	.accordion__heading {
		flex: 1 1 35%;
		min-width: 312px;
		text-align: left;
		margin-bottom: 0;
	}

	.accordion__items {
		flex: 1 1 982px;
		margin-top: 12px;
	}

	.accordion__trigger {
		font-size: 1.5rem; /* 24px */
		padding: 17px 0 13px;
	}

	.accordion__content {
		font-size: 1.5rem; /* 24px */
		margin-top: 15px;
		margin-bottom: 12px;
		padding-right: 0;
	}
}
